Package org.codehaus.groovy.groovydoc

# Interface GroovyType

All Known Subinterfaces:
  `GroovyClassDoc`

All Known Implementing Classes:
  `ArrayClassDocWrapper`, `ExternalGroovyClassDoc`, `SimpleGroovyClassDoc`, `SimpleGroovyType`

public interface GroovyType

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPrimitive()`
`String`
`qualifiedTypeName()`
The qualified name of this type excluding any dimension information.
`String`
`simpleTypeName()`
The unqualified name of this type excluding any dimension or nesting information.
`String`
`toString()`
The qualified name including any dimension information.
`String`
`typeName()`
The unqualified name of this type excluding any dimension information.

## Method Details

### isPrimitive

boolean isPrimitive()

### qualifiedTypeName

String qualifiedTypeName()
The qualified name of this type excluding any dimension information. For example, a two dimensional array of String returns "`java.lang.String`".

### simpleTypeName

String simpleTypeName()
The unqualified name of this type excluding any dimension or nesting information. For example, the class `Outer.Inner` returns "`Inner`".

### typeName

String typeName()
The unqualified name of this type excluding any dimension information. For example, a two dimensional array of String returns "`String`".

### toString

String toString()
The qualified name including any dimension information. For example, a two dimensional array of String returns "`java.lang.String[][]`", and the parameterized type `List<Integer>` returns "`java.util.List<java.lang.Integer>`".

Overrides:
  `toString` in class `Object`